ARITA Bugs - Feature #2039

[HR-Tm to Payroll] merubah working days menjadi flat 21 hari di setiap bulan pada figure potongan

ketidakhadiran
03/02/2023 10:39 AM - Muhammad Bintar

Status: Closed
Priority: Normal
Assignee: Tri Rizqiaty
Category:

Target version:

Start date: 03/02/2023
Due date: 03/06/2023
% Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

melanjutkan redmine dari sebelum nya

http:/remote.minovais.com:3000/redmine/issues/1967

untuk dapat merubah engine membaca working days menjadi flat 21 hari di setiap bulan.

dan kalau bisa di buat parameter di genparam nya.

ada pak

18750/21*3=267857

1.8750.000 dr tunjangan tetap pak

remote.minovais.com, 31131

database sql server
remote.minovais.com, 1442

In1 DEnar pax
namun untuk pemotongan hanan jica & ke masuk ambn! dr "'.'.'.':--I-|.:.: ook

ini yang petengan ketidakhadiran ya bu..

kalau ibu lihat, ada selisin angka kah dari versi ibu??

versi ibu berapa

angka 18750 itu dan gapok + tunjangan bu??

18750/21*3= 267857 %

pagi bu, ini yang membahas soal potongan ketidakhadiran ya buu?

History

#1 - 03/06/2023 11:02 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 03/06/2023 02:48 PM - Tri Rizqiaty
- File clipboard-202303061446-7se4b.png added

- File MinovalS.MinovaES.Implementation.Arita.Business. TMToPYVar1.dll added

- Status changed from Assigned to Developing
http://remote.minovais.com:3000/redmine/issues/1967

Fixing :

1. Update API1 & API2 : MinovalS.MinovaES.Implementation.Arita.Business. TMToPYVar1.dll
2. Merubah table PCMEPGENPARAM sesuai gambar dibawah

99991231 ARITA_TTP_WTBASE_KETIDAKHADIRAN 1 PY = 4008 Wagetype base untuk potongan keterlambatan
99991231 ARITA_TTP_WORKDAY_KETIDAKHADIRAM 1 PY = 21 = 1 Val 1= fix werk day, Val 2 = 1 (param ini dipakai) 0 (pram

#3 - 03/06/2023 02:49 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

#4 - 03/07/2023 07:29 PM - Muhammad Bintar
- File clipboard-202303071928-80wijt.png added
- Status changed from QA Test to Developing

- Assignee changed from Muhammad Bintar to Tri Rizqiaty

update:
sudah di deploy ke client tetapi masih tetep menghitung 20hari
#5 - 03/08/2023 09:20 AM - Kezia Pawitra Yulianti
- Status changed from Developing to Revise

dear Yomma,
task ini gmn ya statusnya?

#6 - 03/13/2023 04:51 PM - Tri Rizqgiaty
- File MinovalS.MinovaES.Implementation.Arita.Business. TMToPY Var1.dll added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizgiaty to Muhammad Bintar

Fixing :

Update folder API1 & API2 : MinovalS.MinovaES.Implementation.Arita.Business. TMToPYVar1.dll
Notes : sudah dilakukan update di sever 77 & server 66, tolong ditest di dua2nya, thanks

#7 - 03/16/2023 11:18 AM - Muhammad Bintar

- File clipboard-202303161118-uabgb.png added
- Status changed from QA Test to User Test
- Assignee changed from Muhammad Bintar to Tri Rizqiaty

- Priority changed from Urgent to Normal

oke mbak sudah di tes dan bisa flat 21hari
#8 - 03/21/2023 02:02 PM - Muhammad Bintar

- Status changed from User Test to Closed

Files

clipboard-202303021039-3gnlv.png 226 KB 03/02/2023 Muhammad Bintar
clipboard-202303061446-7se4b.png 8.71 KB 03/06/2023 Tri Rizgiaty
MinovalS.MinovaES.Implementation.Arita.Business. TMToPYVar1.dll 19.5 KB 03/06/2023 Tri Rizgiaty
clipboard-202303071928-80wjt.png 96.2 KB 03/07/2023 Muhammad Bintar
MinovalS.MinovaES.Implementation.Arita.Business. TMToPYVar1.dll 19.5 KB 03/13/2023 Tri Rizgiaty
clipboard-202303161118-uabgb.png 102 KB 03/16/2023 Muhammad Bintar
